RMagick LoadError

I installed RMagick 2.9.1 and tried to test RMagick code below.
irb -rubygems -r RMagick
But I got an error like below.

/usr/local/lib/ruby/gems/1.8/gems/rmagick-2.9.1/lib/RMagick2.so:
libMagickCore.so.2: cannot open shared object file: No such file or
directory - /usr/local/lib/ruby/gems/1.8/gems/rmagick-2.9.1/lib/RMagick2.so
(LoadError)
        from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in
`require'
        from /usr/local/lib/ruby/gems/1.8/gems/rmagick-2.9.1/lib/RMagick.rb:11
        from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in
`gem_original_require'
        from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in
`require'
        from /usr/local/lib/ruby/1.8/irb/init.rb:252:in `load_modules'
        from /usr/local/lib/ruby/1.8/irb/init.rb:250:in `each'
        from /usr/local/lib/ruby/1.8/irb/init.rb:250:in `load_modules'
        from /usr/local/lib/ruby/1.8/irb/init.rb:21:in `setup'
        from /usr/local/lib/ruby/1.8/irb.rb:54:in `start'
        from /usr/local/bin/irb:13

I searched and referred http://rmagick.rubyforge.org/install-faq.html#loaderror
So I inserted code below to ".bash_profile"
export LD_LIBRARY_PATH=/usr/local/lib

But still same error occur ande doesn't work.
Any advise?